"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const initDb_1 = __importDefault(require("../../../src/init/initDb"));
let dynamoDBData = {
    endpoint: 'localhost:8000',
    //@ts-ignore
    sslEnabled: false,
    region: 'local-env',
};
describe('DB initilazation tests', () => {
    let uut;
    beforeEach(() => {
        uut = new initDb_1.default(dynamoDBData);
    });
    it("Check that DB create a new table", async () => {
        const tableCreator = {
            createTable: jest.fn().mockImplementation(() => true)
        };
        const tableProvider = {
            provide: jest.fn()
        };
        let res = await uut.createTable(tableProvider, tableCreator);
        expect(res).toEqual(true);
        expect(tableCreator.createTable.mock.calls.length).toEqual(1);
        expect(tableProvider.provide.mock.calls.length).toEqual(1);
    });
});
