import DD, {TableProviderI} from "../../../src/init/initDb"
import  {TableCreataorI} from "../../../src/init/tableCreator"
import { DynamoDBClientConfig } from "@aws-sdk/client-dynamodb"

let dynamoDBData: DynamoDBClientConfig = {
    endpoint: 'localhost:8000',
    //@ts-ignore
    sslEnabled: false,
    region: 'local-env',
}

describe('DB initilazation tests', () => {
   
    let uut: DD;

    beforeEach(() => {
        uut = new DD(dynamoDBData)
    })

    it("Check that DB create a new table", async() => {
        const tableCreator: TableCreataorI = {
            createTable: jest.fn().mockImplementation(() => true)
        }
        const tableProvider: TableProviderI = {
            provide: jest.fn()
        }
        let res = await uut.createTable(tableProvider, tableCreator)
        expect(res).toEqual(true)
        
        expect((tableCreator.createTable as jest.Mock).mock.calls.length).toEqual(1)
        expect((tableProvider.provide as jest.Mock).mock.calls.length).toEqual(1)
    })
})

