"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDynamoDBParams = void 0;
const config_1 = __importDefault(require("./config"));
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
let dynamoDBData = {
    apiVersion: config_1.default.getApiVersion(),
    region: config_1.default.getRegion(),
    endpoint: config_1.default.getEndpoint()
};
const isTest = process.env.JEST_WORKER_ID;
if (isTest) {
    dynamoDBData = {
        endpoint: 'http://localhost:8000',
        //@ts-ignore
        sslEnabled: false,
        region: 'local-env',
    };
}
const getDynamoDBParams = () => dynamoDBData;
exports.getDynamoDBParams = getDynamoDBParams;
class DDB {
    constructor(dynamoDBDataParam) {
        this.instance = new client_dynamodb_1.DynamoDBClient(dynamoDBDataParam);
    }
    async createTable(provider, tableCreator) {
        return tableCreator.createTable(this, await provider.provide());
    }
}
exports.default = DDB;
