import { CreateTableCommand, CreateTableCommandInput } from '@aws-sdk/client-dynamodb';
import DDB from '../init/initDb';

const TAG = "TableCreator"
export  interface TableCreataorI {
    createTable(db: DDB, tableMapper: CreateTableCommandInput): Promise<boolean>,
}
export default class TableCreator implements TableCreataorI{
    
    async createTable(db: DDB, input: CreateTableCommandInput): Promise<boolean> {
        try{
            const dataTable = await db.instance.send(new CreateTableCommand(input));
            return true
        }catch(err){
            console.log(TAG,"** ERROR DB NOT CREATED **", err);
          return false
        }
    }

}