import DDB from '../init/initDb'
import {DeleteItemCommand, DeleteItemCommandInput, DeleteItemCommandOutput} from "@aws-sdk/client-dynamodb"

const TAG = "DynamoDB"

export async function deleteItem(input: DeleteItemCommandInput, db: DDB): Promise<DeleteItemCommandOutput>{
    try {
        let data = await db.instance.send(new DeleteItemCommand(input))
        return data;
    } catch (err) {
        console.error(TAG,'Put REQUEST failed', err);
        throw err
    }
}