"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeBatch = void 0;
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const TAG = "ExecuteBatch";
async function executeBatch(input, db) {
    try {
        let data = await db.instance.send(new client_dynamodb_1.BatchExecuteStatementCommand(input));
        return data;
    }
    catch (err) {
        console.error(TAG, 'ExecuteBatch REQUEST failed', err);
        throw err;
    }
}
exports.executeBatch = executeBatch;
