import DDB from '../init/initDb'
import {BatchExecuteStatementCommand, BatchExecuteStatementCommandInput, BatchExecuteStatementCommandOutput} from "@aws-sdk/client-dynamodb"

const TAG = "ExecuteBatch"

export async function executeBatch(input: BatchExecuteStatementCommandInput, db: DDB): Promise<BatchExecuteStatementCommandOutput>{
    try {
        let data = await db.instance.send(new BatchExecuteStatementCommand(input))
        return data;
    } catch (err) {
        console.error(TAG,'ExecuteBatch REQUEST failed', err);
        throw err
    }
}