import DDB from '../init/initDb'
import {PutItemCommand, PutItemCommandInput, PutItemCommandOutput} from "@aws-sdk/client-dynamodb"

const TAG = "DynamoDB"

export async function put(input: PutItemCommandInput, db: DDB): Promise<PutItemCommandOutput>{
    try {
        let data = await db.instance.send(new PutItemCommand(input))
        return data;
    } catch (err) {
        console.error(TAG,'Put REQUEST failed', err);
        throw err

    }
}