import DDB from '../init/initDb'
import {QueryCommand, QueryCommandInput, QueryCommandOutput} from "@aws-sdk/client-dynamodb"
const TAG = "DynamoDB"

export async function send(input: QueryCommandInput, db: DDB): Promise<QueryCommandOutput>{
    try {
        let data = await db.instance.send(new QueryCommand(input))
        return data;
    } catch (err) {
        console.error(TAG,'GET REQUEST failed', err);
        throw err
    }
}