import DDB from '../init/initDb'
import {UpdateItemCommand, UpdateItemCommandInput, UpdateItemCommandOutput} from "@aws-sdk/client-dynamodb"

const TAG = "DynamoDB"

export async function update(input: UpdateItemCommandInput, db: DDB): Promise<UpdateItemCommandOutput>{
    try {
        let data = await db.instance.send(new UpdateItemCommand(input))
        return data;
    } catch (err) {
        console.error(TAG,'Update REQUEST failed', err);
        throw err
    }
}